<p *ngIf="product && product.price > 700">
  <button type="button" (click)="notify.emit()">Notify Me (700)</button>
</p>
<p *ngIf="product && product.price < 300">
  <button type="button" (click)="notify.emit()">Notify Me (300)</button>
</p>
